Subject: Re: bug#40614: 28.0.50; [feature/native-comp] straight.el fails to inject :straight keyword handler into use-package when use-package is native-compiled

From: Ihor Radchenko <[email-masked]>
Date: Mon, 20 Apr 2020 15:47:05 +0800

> I mean you can compile at speed 0, it requires a fraction of the memory
> required at speed 2.  You can even used that only to complete the
> compilation that failed.  In .gitlab-ci.yml we have examples on how to
> the speed can be controlled while building.

Thanks! I did not know that speed 0 would use less memory. Finally
managed to finish the compilation.

Best,
Ihor

Andrea Corallo <[email-masked]> writes:

> Ihor Radchenko <[email-masked]> writes:
>
>>
>> Sure. Though I plan to move the native-compile branch to my system
>> installation. Deferred compilation of built-in packages will not be easy
>> there, unless I run Emacs as root.
>>
>> Speed is actually not so big issue (at least to compile the built-in
>> elisp). The problem was that I tried to run make -j3 -> make -j2 -> make
>> -j1 hoping that less native-compilation processes would use less
>> memory. Everything, including make -j1 failed eventually and took a long
>> time because of using swap. Not sure what I can do for reducing memory
>> usage.
>
> I mean you can compile at speed 0, it requires a fraction of the memory
> required at speed 2.  You can even used that only to complete the
> compilation that failed.  In .gitlab-ci.yml we have examples on how to
> the speed can be controlled while building.
>
> -- 
> [email-masked]

-- 
Ihor Radchenko,
PhD,
Center for Advancing Materials Performance from the Nanoscale (CAMP-nano)
State Key Laboratory for Mechanical Behavior of Materials, Xi'an Jiaotong University, Xi'an, China
Email: [email-masked], [email-masked]